import { jsx as _jsx } from "react/jsx-runtime";
import "./styles/index.css";
import Provider from "./components/Provider";
class Studio {
    constructor(config) {
        Object.defineProperty(this, "config", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: config
        });
        Object.defineProperty(this, "Provider", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: ({ children }) => (_jsx(Provider, { config: this.config, children: children }))
        });
    }
}
export default Studio;
