import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import cx from "classnames";
import { useGlobalState } from "../lib/hooks";
import ComponentOverlay from "./ComonentOverlay";
const Container = ({ children }) => {
    const { state, dispatch } = useGlobalState();
    return (_jsx(_Fragment, { children: _jsxs("div", { className: cx(`__devine-child-container flex-grow h-screen overflow-y-scroll overflow-hidden relative z-0 transition-[border-radius,transform,opacity] duration-500`, !(state.containerPosition.x === 0 && state.containerPosition.y === 0) &&
                state.mode === `select` &&
                `rounded-2xl`, state.mode === `plugins` && `opacity-20`), style: {
                transform: `translate(${state.mode === `select` ? state.containerPosition.x : 0}px, ${state.mode === `select` ? state.containerPosition.y : 0}px)`,
                transformOrigin: `top left`,
            }, onClick: () => {
                if (state.mode === `plugins`)
                    dispatch({ type: `setMode`, payload: null });
            }, children: [children, state.registeredComponents &&
                    state.mode === `select` &&
                    state.registeredComponents.map((c, i) => (_jsx(ComponentOverlay, { component: c, index: i })))] }) }));
};
export default Container;
