import { jsx as _jsx } from "react/jsx-runtime";
import cx from "classnames";
const PageSwitcherButton = ({ page, currentPage, setPage, }) => (_jsx("button", { className: cx(`text-lg font-medium w-28 flex justify-center items-center rounded-lg capitalize transition-[background-color,color,transform] duration-200 active:scale-95 tracking-wider`, page === currentPage
        ? `text-white bg-zinc-800 hover:bg-zinc-700 active:bg-zinc-600`
        : `text-zinc-500 hover:bg-zinc-800 hover:text-white active:bg-zinc-700 active:text-white`), onClick: () => setPage(page), children: page }));
export default PageSwitcherButton;
