export function toComponent(element, type, id) {
    return { element, type, id };
}
export function getComponent(id) {
    const element = document.querySelector(`.${id || `__devine__NULL`}`);
    if (!element)
        return null;
    const type = element.getAttribute(`devine-id`);
    if (!type)
        return null;
    return toComponent(element, type, id);
}
export function getElementsOfType(type) {
    return [...document.querySelectorAll(`[devine-id='${type}']`)];
}
