export const INITIAL_STATE = {
    mode: null,
    sidebarOpen: false,
    registeredComponents: [],
    selectedComponent: null,
    containerPosition: { x: 0, y: 0 },
};
export default function reducer(state, action) {
    switch (action.type) {
        case `setMode`:
            return { ...state, mode: action.payload };
        case `openSidebar`:
            return { ...state, sidebarOpen: true };
        case `closeSidebar`:
            return { ...state, sidebarOpen: false };
        case `registerComponents`:
            return { ...state, registeredComponents: action.payload };
        case `selectComponent`:
            return { ...state, selectedComponent: action.payload };
        case `moveContainer`:
            return { ...state, containerPosition: action.payload };
        default:
            return state;
    }
}
