import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useReducer } from "react";
import reducer, { INITIAL_STATE } from "./store";
export const GlobalStateContext = createContext({ state: INITIAL_STATE, dispatch: () => console.log(`Provider not found`) }); // eslint-disable-line no-console
const GlobalStateProvider = ({ children, }) => {
    const [state, dispatch] = useReducer(reducer, INITIAL_STATE);
    const contextValue = { state, dispatch };
    return (_jsx(GlobalStateContext.Provider, { value: contextValue, children: children }));
};
export default GlobalStateProvider;
